Subject: Re: Sunrider

From: [email-masked] (R Stites)
Date: Mon, 06 Nov 1995 16:28:21 -0700

In article <[email-masked]>, [email-masked] (Icegen) wrote:

> I'm surprised that you can still buy Sunrider products! I guess you don't
> know about the 20 count criminal Federal Indictment the Pres. of Sunrider
> got.I've got all the details if you want to know about it.E-mail
> [email-masked]

Just happened to read this and wondered what you were referring to. I used
to use those products and have a close friend using them now.

Mona